# Templates V2

Version 2 endpoints for managing message templates. Recommended version for all users. Includes strongly typed `translations` field (allowing for message definition using JSON structures also used in the send message request of the Conversation API), improved validation, and the ability to override omni-channel templates in favor of channel-specific templates (where available).

## List all templates belonging to a project ID.

 - [GET /v2/projects/{project_id}/templates](https://developers.sinch.com/docs/conversation/api-reference/template/templates-v2/templates_v2_listtemplates.md)

## Creates a template

 - [POST /v2/projects/{project_id}/templates](https://developers.sinch.com/docs/conversation/api-reference/template/templates-v2/templates_v2_createtemplate.md)

## List translations for a template

 - [GET /v2/projects/{project_id}/templates/{template_id}/translations](https://developers.sinch.com/docs/conversation/api-reference/template/templates-v2/templates_v2_listtranslations.md)

## Updates a template.

 - [PUT /v2/projects/{project_id}/templates/{template_id}](https://developers.sinch.com/docs/conversation/api-reference/template/templates-v2/templates_v2_updatetemplate.md)

## Get a template

 - [GET /v2/projects/{project_id}/templates/{template_id}](https://developers.sinch.com/docs/conversation/api-reference/template/templates-v2/templates_v2_gettemplate.md)

## Delete a template.

 - [DELETE /v2/projects/{project_id}/templates/{template_id}](https://developers.sinch.com/docs/conversation/api-reference/template/templates-v2/templates_v2_deletetemplate.md)

